sailpoint.object

## Class Filter

- java.lang.Object
- - sailpoint.object.Filter

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Filter.CompositeFilter, Filter.LeafFilter

    public abstract class Filter
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Filter.BaseFilterVisitor`
`static class` `Filter.BooleanOperation`
`static class` `Filter.CompositeFilter`
`static class` `Filter.FilterCompiler`
`static interface` `Filter.FilterVisitor`
`static class` `Filter.LeafFilter`
`static class` `Filter.LogicalOperation`
`static class` `Filter.MatchMode`

### Constructor Summary

Constructors
Constructor and Description
`Filter()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `accept(Filter.FilterVisitor var1)`
`static Filter` `and(Filter... children)`
`static Filter` `and(Filter filter1, Filter filter2)`
`static Filter` `and(java.util.List<Filter> children)`
`static Filter` `clone(Filter src)`
`static Filter` `collectionCondition(java.lang.String collectionProperty, Filter compoundFilter)`
`static Filter` `compile(java.lang.String filter)`
`static Filter` `contains(java.lang.String propertyName, java.lang.Object value)`
`static Filter` `containsAll(java.lang.String propertyName, java.util.Collection value)`
`boolean` `contentEquals(Filter other)`
`static Filter` `eq(java.lang.String propertyName, java.lang.Object value)`
`boolean` `equals(java.lang.Object o)`
`static Filter` `fromExample(java.lang.Object o)`
`static Filter` `ge(java.lang.String propertyName, java.lang.Object value)`
`abstract java.lang.String` `getExpression()`
`java.lang.String` `getExpression(boolean readable)`
`static Filter` `gt(java.lang.String propertyName, java.lang.Object value)`
`int` `hashCode()`
`static Filter` `ignoreCase(Filter filter)`
`static Filter` `in(java.lang.String propertyName, java.util.Collection<?> value)`
`static Filter` `isempty(java.lang.String propertyName)`
`static Filter` `isnull(java.lang.String propertyName)`
`static Filter` `join(java.lang.String property, java.lang.String joinProperty)`
`static Filter` `le(java.lang.String propertyName, java.lang.Object value)`
`static Filter` `leftJoin(java.lang.String property, java.lang.String joinProperty)`
`static Filter` `like(java.lang.String propertyName, java.lang.Object value)`
`static Filter` `like(java.lang.String propertyName, java.lang.Object value, Filter.MatchMode matchMode)`
`static Filter` `lt(java.lang.String propertyName, java.lang.Object value)`
`static Filter` `ne(java.lang.String propertyName, java.lang.Object value)`
`static Filter` `not(Filter filter)`
`static Filter` `notnull(java.lang.String propertyName)`
`static Filter` `or(Filter... children)`
`static Filter` `or(Filter filter1, Filter filter2)`
`static Filter` `or(java.util.List<Filter> children)`
`static Filter` `subquery(java.lang.String property, java.lang.Class<?> subqueryClass, java.lang.String subqueryProperty, Filter subqueryFilter)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Filter

    public Filter()

### Method Detail

#### clone

    public static Filter clone(Filter src)

#### compile

    public static Filter compile(java.lang.String filter)
                          throws ParseException

Throws:
  `ParseException`

#### fromExample

    public static Filter fromExample(java.lang.Object o)
                              throws GeneralException

Throws:
  `GeneralException`

#### eq

    public static Filter eq(java.lang.String propertyName,
                            java.lang.Object value)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### ne

    public static Filter ne(java.lang.String propertyName,
                            java.lang.Object value)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### lt

    public static Filter lt(java.lang.String propertyName,
                            java.lang.Object value)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### gt

    public static Filter gt(java.lang.String propertyName,
                            java.lang.Object value)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### le

    public static Filter le(java.lang.String propertyName,
                            java.lang.Object value)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### ge

    public static Filter ge(java.lang.String propertyName,
                            java.lang.Object value)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### in

    public static Filter in(java.lang.String propertyName,
                            java.util.Collection<?> value)
                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### contains

    public static Filter contains(java.lang.String propertyName,
                                  java.lang.Object value)

#### containsAll

    public static Filter containsAll(java.lang.String propertyName,
                                     java.util.Collection value)

#### like

    public static Filter like(java.lang.String propertyName,
                              java.lang.Object value)

#### like

    public static Filter like(java.lang.String propertyName,
                              java.lang.Object value,
                              Filter.MatchMode matchMode)

#### notnull

    public static Filter notnull(java.lang.String propertyName)

#### isnull

    public static Filter isnull(java.lang.String propertyName)

#### isempty

    public static Filter isempty(java.lang.String propertyName)

#### join

    public static Filter join(java.lang.String property,
                              java.lang.String joinProperty)

#### leftJoin

    public static Filter leftJoin(java.lang.String property,
                                  java.lang.String joinProperty)

#### collectionCondition

    public static Filter collectionCondition(java.lang.String collectionProperty,
                                             Filter compoundFilter)

#### subquery

    public static Filter subquery(java.lang.String property,
                                  java.lang.Class<?> subqueryClass,
                                  java.lang.String subqueryProperty,
                                  Filter subqueryFilter)

#### and

    public static Filter and(Filter filter1,
                             Filter filter2)

#### and

    public static Filter and(java.util.List<Filter> children)

#### and

    public static Filter and(Filter... children)

#### or

    public static Filter or(Filter filter1,
                            Filter filter2)

#### or

    public static Filter or(java.util.List<Filter> children)

#### or

    public static Filter or(Filter... children)

#### not

    public static Filter not(Filter filter)

#### ignoreCase

    public static Filter ignoreCase(Filter filter)

#### accept

    public abstract void accept(Filter.FilterVisitor var1)
                         throws GeneralException

Throws:
  `GeneralException`

#### getExpression

    public abstract java.lang.String getExpression()

#### getExpression

    public java.lang.String getExpression(boolean readable)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### contentEquals

    public boolean contentEquals(Filter other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`